﻿

Start-Transcript -Path c:\tmp\logs\CreateTask.txt -Append
# Define the path to the PowerShell script
$scriptPath = "C:\Scripts\VB365SSL\RenewSSL.ps1"

# Define the name of the task
$taskName = "RenewSSLTask"

# Define the action to run the PowerShell script
$action = New-ScheduledTaskAction -Execute "PowerShell.exe" -Argument "-File `"$scriptPath`""

# Define the XML format for the repetition interval (60 days)
$repeatIntervalXml = @"
<Repetition>
    <Interval>P60D</Interval>
</Repetition>
"@

# Define the trigger to run the task every second month
$trigger = New-ScheduledTaskTrigger -Weekly -WeeksInterval 10 -DaysOfWeek Sunday -At 3am

# Register the task in Task Scheduler
# Prompt the user for credentials
$credential = Get-Credential

# Register the scheduled task with the provided credentials
Register-ScheduledTask -TaskName $taskName -Action $action -Trigger $trigger -Description "Task to renew SSL every second month" -User $credential.UserName -Password $credential.GetNetworkCredential().Password

Stop-Transcript